# https://github.com/jtagcat/dotfiles/blob/main/scripts/template/gobuild.Dockerfile
FROM golang:1.19 AS builder
WORKDIR /wd

COPY vendor ./vendor
COPY go.mod go.sum ./
RUN go mod download

COPY main.go ./
COPY pkg ./pkg
RUN CGO_ENABLED=0 GOOS=linux go build -a -installsuffix cgo -o logmower-shippper

FROM alpine
LABEL org.opencontainers.image.source="https://git.k-space.ee/k-space/logmower-shipper"
WORKDIR /wd
#RUN apk --no-cache add ca-certificates

COPY --from=builder /wd/logmower-shippper ./
CMD ["./logmower-shippper"]
